Subject: Re: Odd number of elements in anonymous hash

From: Dennis Schridde <[email-masked]>
Date: Thu, 10 Jan 2008 18:13:41 +0100

Am Donnerstag, 10. Januar 2008 12:04:54 schrieb Dennis Schridde:
> Am Donnerstag, 10. Januar 2008 09:38:46 schrieb Eric Wong:
> > Dennis Schridde <[email-masked]> wrote:
> > > Am Dienstag, 8. Januar 2008 18:21:55 schrieb Junio C Hamano:
> > > > Dennis Schridde <[email-masked]> writes:
> > > > > I am getting "Odd number of elements in anonymous hash at
> > > > > /usr/bin/git-svn line 1760." (normal output, no warning/error)
> > > > > during git-svn-clone. I am using git version 1.5.4.rc2.
> >
> > Can you look in .git/svn/.metadata for the svnsync-* values?  Thanks.
> >
> > I downloaded your repository and couldn't reproduce it locally.
>
> This is the file left after the segfault from the other mail:
> ---
> [svn-remote "svn"]
>     reposRoot = file:///var/svn/warzone2100
>     uuid = 4a71c877-e1ca-e34f-864e-861f7616d084
>     branches-maxRev = 14
>     tags-maxRev = 14
>     svnsync-uuid = 4a71c877-e1ca-e34f-864e-861f7616d084\n
>     svnsync-url = http://svn.gna.org/svn/warzone
> [svn-remote "tags/1.10a.12"]
>     reposRoot = file:///var/svn/warzone2100
>     uuid = 4a71c877-e1ca-e34f-864e-861f7616d084
> ---
The rest of the file is rather boring. The "svn" remote is not changed 
(besides having higher revisions) and the other remotes look exactly like 
the "tags/1.10a.12" one.

Somehow I think that the \n at the end of the svnsync-uuid shouldn't be 
there... It could be that this is the same linebreak which prevents people 
from relocating (svn switch --relocate) from svn://svn.gna.org/svn/warzone to 
http://svn.gna.org/svn/warzone, so that would be a Gna bug.
However git-svn shouldn't throw any warnings (or even (make perl) crash?) on 
such occasions, either...

I now got it to run through without a segfault, by compiling an unstriped perl 
binary with debug symbols (Gentoo: FEATURES=nostrip CFLAGS="... -g").
Maybe this is a bug in GCC or something...

The "Odd number of elements in anonymous hash" still stays, though.

--Dennis

svn, version 1.4.6 (r28521)
git version 1.5.4.rc2
This is perl, v5.8.8 built for i686-linux